commit:     710cee47587c1681ffcc5c627394e7a0bf01a347
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Tue Sep  6 18:23:34 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Sep  6 19:41:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=710cee47

media-video/subliminal: verbump to 2.0.5

Closes: https://github.com/gentoo/gentoo/pull/2263
Package-Manager: portage-2.3.0

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-video/subliminal/Manifest                |  1 +
 media-video/subliminal/subliminal-2.0.5.ebuild | 66 ++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/media-video/subliminal/Manifest b/media-video/subliminal/Manifest
index d7ca92f..6a6becc 100644
--- a/media-video/subliminal/Manifest
+++ b/media-video/subliminal/Manifest
@@ -1 +1,2 @@
 DIST subliminal-2.0.3.tar.gz 4428821 SHA256 
12ad058d8bfdb0471d2021f8a486c2a11d2470e845bec1e71f698e4523ddc8fe SHA512 
ed014ac25ab867cf1d7d16c1ecc19364a1b1281893c3e1aa1e678176d6df12623fc29f6a8159984cd2d621bf2f708655382ae7e0cf41c92956fc2d803f1b5c37
 WHIRLPOOL 
39a20b595660a78c3a48efa7affc973e4349f2912b5d077583d75d05e4bad8675b5d5594512e739398fff641fdc76a08afdc1deec6f54bba5b02b3f5014ea531
+DIST subliminal-2.0.5.tar.gz 4440754 SHA256 
b956f02ae0286ad04be5bbf1c5570964aa17bb53c99fcce067e8334d99516ae2 SHA512 
e2f563fa86fea286a172aa4a6a846d997e777cf69666fb39f3f73e3073ce5b5467474561ced4468d51708c0b1559f97b314f2f9ffb3d5e61978ad635c00ba0f8
 WHIRLPOOL 
cb57c8d553eb0164a21d2ea1c81129aef78b425748d52be6d73444fc111b227eeae5e3321253d163c2df46acfa274d6c0852d5aa7153b3ee2ba3c311c56dfd2d

diff --git a/media-video/subliminal/subliminal-2.0.5.ebuild 
b/media-video/subliminal/subliminal-2.0.5.ebuild
new file mode 100644
index 00000000..cef97ed
--- /dev/null
+++ b/media-video/subliminal/subliminal-2.0.5.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_REQ_USE='xml(+)'
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to search and download subtitles"
+HOMEPAGE="https://github.com/Diaoul/subliminal 
https://pypi.python.org/pypi/subliminal";
+SRC_URI="https://github.com/Diaoul/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/guessit-2.0.1[${PYTHON_USEDEP}]
+       >=dev-python/babelfish-0.5.2[${PYTHON_USEDEP}]
+       >=dev-python/enzyme-0.4.1[${PYTHON_USEDEP}]
+       >=dev-python/beautifulsoup-4.4.0:4[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.0[${PYTHON_USEDEP}]
+       >=dev-python/click-4.0[${PYTHON_USEDEP}]
+       >=dev-python/dogpile-cache-0.6.0[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/chardet-2.3.0[${PYTHON_USEDEP}]
+       >=dev-python/pysrt-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/appdirs-1.3[${PYTHON_USEDEP}]
+       >=dev-python/rarfile-2.7[compressed,${PYTHON_USEDEP}]
+       >=dev-python/pytz-2012c[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       virtual/python-futures[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       test? (
+               >=dev-python/vcrpy-1.6.1[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-cov[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+               dev-python/sympy[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7)
+       )
+"
+
+# Tests require network.
+RESTRICT=test
+
+python_prepare_all() {
+       # Disable code checkers as they require unavailable dependencies.
+       sed -i -e 's/--\(pep8\|flakes\)//g' pytest.ini || die
+       sed -i -e "s/'pytest-\(pep8\|flakes\)',//g" setup.py || die
+
+       # Disable unconditional dependency on dev-python/pytest-runner.
+       sed -i -e "s|'pytest-runner'||g" setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       esetup.py test
+}

Reply via email to